Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.ext
Class WsrfExtConstants

    java.lang.Object
      org.apache.muse.ws.resource.ext.WsrfExtConstants

public class WsrfExtConstants
extends java.lang.Object

WsrfExtConstants is a collection of constants used by Muse to extend the base WSRF v1.2 spec. Most of the identifiers here are for common faults that happen frequently in the WSRP capability implementations.

Author:
  Dan Jemiolo (danj)

Field Summary
`static QName` | `INVALID_MESSAGE_FORMAT_QNAME`
`static QName` | `METADATA_VALIDATION_ERROR_QNAME`
`static java.lang.String` | `NAMESPACE_URI`
`static java.lang.String` | `PREFIX`
`static QName` | `RESOURCE_INITIALIZATION_QNAME`
`static QName` | `SCHEMA_VALIDATION_ERROR_QNAME`
`static QName` | `SERIALIZATION_ERROR_QNAME`

Constructor Summary
`WsrfExtConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final java.lang.String NAMESPACE_URI

See Also:
  Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### INVALID_MESSAGE_FORMAT_QNAME

    public static final QName INVALID_MESSAGE_FORMAT_QNAME

### METADATA_VALIDATION_ERROR_QNAME

    public static final QName METADATA_VALIDATION_ERROR_QNAME

### RESOURCE_INITIALIZATION_QNAME

    public static final QName RESOURCE_INITIALIZATION_QNAME

### SCHEMA_VALIDATION_ERROR_QNAME

    public static final QName SCHEMA_VALIDATION_ERROR_QNAME

### SERIALIZATION_ERROR_QNAME

    public static final QName SERIALIZATION_ERROR_QNAME

Constructor Detail

### WsrfExtConstants

    public WsrfExtConstants()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD